Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.text
Class AttributedCharacters

    java.lang.Object
      org.openide.text.AttributedCharacters

    public class AttributedCharacters

extends Object

The class is a support for all classes that implement PrintCookie. Allows creating of attributed texts.

Nested Class Summary
`static class` | `AttributedCharacters.AttributedCharacterIteratorImpl` Implementation of AttributedCharacterIterator interface.

Field Summary
`protected char[]` | `chars` Characters to iterate.
`protected Color[]` | `colors` Color for each character.
`protected int` | `current` Current.
`protected Font[]` | `fonts` Font for each character.
`protected int[]` | `runLimit` Limit indices of continous ...
`protected int[]` | `runStart` Start indices of continuous blocks of text with the same font.

Constructor Summary
`AttributedCharacters()`

Method Summary
`void` | `append(char[] a, Font f, Color color)` Append a character array with a font.
`void` | `append(char c, Font f, Color color)` Append a character with specified font.
`AttributedCharacterIterator` | `iterator()` Produce an appropriate character iterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chars

    protected char[] chars

  Characters to iterate.

### fonts

    protected Font[] fonts

  Font for each character.

### colors

    protected Color[] colors

  Color for each character.

### runStart

    protected int[] runStart

  Start indices of continuous blocks of text with the same font.

### runLimit

    protected int[] runLimit

  Limit indices of continous ...

### current

    protected int current

  Current.

Constructor Detail

### AttributedCharacters

    public AttributedCharacters()

Method Detail

### append

    public void append(char c,
                       Font f,
                       Color color)

  Append a character with specified font.

  Parameters:
    `c` - character to append
    `f` - a Font
    `color` - a Color

### append

    public void append(char[] a,
                       Font f,
                       Color color)

  Append a character array with a font.

  Parameters:
    `a` - characters to append
    `f` - a font to use
    `color` - a color to use

### iterator

    public AttributedCharacterIterator iterator()

  Produce an appropriate character iterator.

  Returns:
    an iterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.